require 'sketchup'
def fg2walls::init()
  cmd = UI::Command.new(fg2walls.handleToolbarPress) {handleToolbarButtonPress()}
  cmd.small_icon = "FG.png"
  cmd.large_icon = "FG.png"
  cmd.status_bar_text = cmd.tooltip = "Fox Gray"
  cmd.menu_text = "Wall Colors"
  wallsToolbar = UI::Toolbar.new("Wall Colors") 
  wallsToolbar.add_item(cmd)
  wallsToolbar.show
  
UI.menu("Plugins").add_item("FG Walls") { fg2walls.init }
end

def fg2walls::handleToolbarButtonPress()
mod = Sketchup.active_model
su_materials = mod.materials
my_materials = Hash.new
my_materials["Wall_surfaces"] = su_materials["FG"]

begin
  mod.start_operation("Change Walls", true)
rescue ArgumentError
  mod.start_operation("Change Walls")
end

mod.entities.each do |entity|
  if entity.is_a? Sketchup::Drawingelement
    entity.material = my_materials[entity.layer.name] if my_materials[entity.layer.name]
  end
end


mod.commit_operation
end
